Skip to content

LIST OF STOCK SCREENING REPORTS (by tickers)

Request

Get Shariah-Compliant Screening Results for stocks. You can query by stock tickers. Maximum permissible limit of tickers per request is 100.

Request body:

ParameterValueDescription
stocks["AAPL","NFLX","TSLA", ...]Stock symbol list (Maximum 100 symbols per request)

Response body:

ParameterTypeDescription
companyNamestringCompany name
symbolstringStock symbol
lastUpdatedateTimeLast update date in ISO 8601 date-time format
shariahComplianceStatusstringShariah-compliance Status (HALAL, NOT HALAL, DOUBTFUL, NOT_UNDER_COVERAGE)
complianceRankingnumberCompliance Rank (0-5)
revenueBreakdownobjectRevenue breakdown with halal / notHalal / doubtful ratios and Pass/Fail status
interestBearingSecuritiesAndAssetsobjectInterest-bearing securities and assets amount, ratio, and status
interestBearingDebtobjectInterest-bearing debt amount, ratio, and status
reportDatedateReporting dates of the company (YYYY-MM-DD)
reportSourcestringURL link to the company report
totalRevenuenumberTotal Revenue of the company
trailing36monAvrCapnumberTrailing 36-month Average Market Capitalization of the company
Headers
clientIdstringrequired

B2B UAT client ID. Sent as a request header (not Redocly Auth).

Default:"AX6kFk5ywERyXobt"
Example:AX6kFk5ywERyXobt
timestring^\d{14}$required

UTC timestamp yyyyMMddHHmmss used to compute token.

Default:"20260831110225"
Example:20260831110225
tokenstringrequired

Base64(SHA512(secretKey + time + jsonBody)). Must match this operation's request body.

Default:"Hsf5xYlbHuLnK7B3dtUtP9nsoccUAyeEaHbht8EP2WoGL/lYOpYyCCx24Y0K7D6+CSYt0+6zE5KH5NUfZMPS0Q=="
Example:Hsf5xYlbHuLnK7B3dtUtP9nsoccUAyeEaHbht8EP2WoGL/lYOpYyCCx24Y0K7D6+CSYt0+6zE5KH5NUfZMPS0Q==
Bodyapplication/jsonrequired
stocksArray of strings, <= 100 itemsrequired

Stock symbol list (maximum 100 symbols per request)

curl --location 'https://b2b.musaffa.us/b2b/api/demo/musaffa/stocks/screening-list' \
--header 'Content-Type: application/json' \
--header 'clientId: AX6kFk5ywERyXobt' \
--header 'time: 20260831110225' \
--header 'token: Hsf5xYlbHuLnK7B3dtUtP9nsoccUAyeEaHbht8EP2WoGL/lYOpYyCCx24Y0K7D6+CSYt0+6zE5KH5NUfZMPS0Q==' \
--data '{
    "stocks":[
        "AAPL",
        "NFLX",
        "TSLA"
    ]
}'

Responses

Dynamic screening summaries for the requested tickers

Bodyapplication/json
Array [
companyNamestring
symbolstring
lastUpdatestring

ISO 8601 date-time

shariahComplianceStatusstring(ComplianceStatus)

Shariah-compliance status

complianceRankingnumber

Compliance Rank (0-5)

revenueBreakdownobject(RevenueBreakdown)

Combined revenue from DOUBTFUL and NOT HALAL sources must be less than 5% of total revenue (AAOIFI).

interestBearingSecuritiesAndAssetsobject(RatioAmountStatus)
interestBearingDebtobject(RatioAmountStatus)
reportDatestring, (date)
reportSourcestring
totalRevenuenumber
trailing36monAvrCapnumber
]
Response
[ { "companyName": "string", "symbol": "string", "lastUpdate": "string", "shariahComplianceStatus": "string", "complianceRanking": 0, "revenueBreakdown": {}, "interestBearingSecuritiesAndAssets": {}, "interestBearingDebt": {}, "reportDate": "2019-08-24", "reportSource": "string", "totalRevenue": 0, "trailing36monAvrCap": 0 } ]